Subject: Re: [PATCH net-next-2.6 v3 1/1] can: c_can: Added support for Bosch C_CAN controller

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 06 Jan 2011 21:08:56 +0100

Hi Marc,

On 01/06/2011 08:44 PM, Marc Kleine-Budde wrote:
> Hello Wolfgang,
> 
> On 01/06/2011 08:40 PM, Wolfgang Grandegger wrote:
>> On 01/06/2011 08:33 PM, David Miller wrote:
>>> From: Bhupesh Sharma <[email-masked]>
>>> Date: Tue, 4 Jan 2011 15:29:55 +0530
>>>
>>>> Bosch C_CAN controller is a full-CAN implementation which is compliant
>>>> to CAN protocol version 2.0 part A and B. Bosch C_CAN user manual can be
>>>> obtained from:
>>>> http://www.semiconductors.bosch.de/pdf/Users_Manual_C_CAN.pdf
>>>
>>> Can someone please review this driver submission?
>>
>> Yes, of course. I'm still on holiday, hope to find some time tomorrow.
> 
> If this driver will be merged, we'll have two drivers for the same can
> core in the tree. The other one is the pch_can. What do you think should
> be the mid term perspective for ccan based hardware?

Yes, I know. Unfortunately, we did realize rather late the the PCH
controller is a C_CAN clone and the OKI/Intel ppls did not tell us
either. Therefore I asked Bhupesh to provide a SJA1000-a-like interface
for the C_CAN, which would allow us to provide an alternative PCI driver
"pch_pci.c" for the PCH. If that driver works well on the PCH hardware
as well, we should merge the best of both, if necessary, and then
finally remove the pch_can driver. Would that be a reasonable proposal.

Wolfgang.